summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2018-02-09 10:18:17 +0100
committerFabian Groffen <grobian@gentoo.org>2018-02-09 10:18:17 +0100
commitef97a90c58e04a14a7cf26bd823ca79ac05cf482 (patch)
tree24eada6fc2a0baeeddd7637f9b42d343c9bf285d
parentscripts/bootstrap-prefix: bump snapshot for openssl sync, bug #647006 (diff)
downloadprefix-ef97a90c58e04a14a7cf26bd823ca79ac05cf482.zip
prefix-ef97a90c58e04a14a7cf26bd823ca79ac05cf482.tar.gz
prefix-ef97a90c58e04a14a7cf26bd823ca79ac05cf482.tar.bz2
dev-lang/ruby: sync
Package-Manager: Portage-2.3.18-prefix, Repoman-2.3.6
-rw-r--r--dev-lang/ruby/Manifest8
-rw-r--r--dev-lang/ruby/ruby-2.2.9.ebuild (renamed from dev-lang/ruby/ruby-2.2.1.ebuild)54
-rw-r--r--dev-lang/ruby/ruby-2.4.3.ebuild (renamed from dev-lang/ruby/ruby-2.4.1-r2.ebuild)6
3 files changed, 37 insertions, 31 deletions
diff --git a/dev-lang/ruby/Manifest b/dev-lang/ruby/Manifest
index f356d45..0b347ff 100644
--- a/dev-lang/ruby/Manifest
+++ b/dev-lang/ruby/Manifest
@@ -1,8 +1,8 @@
-DIST ruby-2.2.1.tar.xz 10320352 BLAKE2B 7e0d27cc44a63845217e68435b5dc20e36a8bcf97ea136e7c03963cd32b7a1fee4d711b7c28c00b1dad6d79a2cd1f52e6000ef95825e6c81a951e306853a07e2 SHA512 853517426cd4735bab42298a13cef6f4864b6f8787c3985eaa39a4d1efb40e121bdb51e874b567f0ec339fe001920bcd165067633992b2be30e7804191559151
DIST ruby-2.2.8.tar.xz 10520648 BLAKE2B 96c483786b1a7e0b1483c337a13fe7e07e740bb21b507b518e142dc9ac8cf19ba00c094b4357db4305c645d370d776269145b699ad11429aa56a0de78abfbf83 SHA512 e21004bee537f0c706f4ac9526507b414ddb6a8d721e8fad8d7fe88992a4f048eb5eb79f8d8b8af2a8b331dcfa74b560490218a1acb3532c2cdb4fb4909da3c9
-DIST ruby-2.4.1.tar.xz 9939188 BLAKE2B 5be893c8996d17ff333276a772747d3099cec0c41331e1a1916679afc43a8ad5ed99a827bc76b32652ec950eaec933dbe28e1dde313987c2891f258ba7097af7 SHA512 e6fd290b6edd166348b70f0f1c56f7ed9d956c4c1eb91d97d0548041ca4196b9b75ec1ad35c745bdbfd4de195899093e7205d7f02b014ecf1c48e6f31cf25903
+DIST ruby-2.2.9.tar.xz 10511456 BLAKE2B aeb631c47def96e8dd19e4f7281ef95833d9d0cde0912ffccd341032d2be22d6eebf259b0926f248298a5a290fd4d99b7ec38e29b805c9d77d4f3f4481fc0edb SHA512 c4ef84cd00f72f60d6c168f0726d9d7e9573549c2bbae83893e1a9d5e64fc7938f4c9d50a47147b28b37cbf36263f95e10a810c0797bad941775a48d75a8c933
DIST ruby-2.4.2.tar.xz 10046412 BLAKE2B 33af07ee102367fe811dd3248edc72238bddfc3332f64280b6b36497c7de70bce939127c1efcc965072451ddd60ede98c855fc1fd24be9b12eedc58a21faad5a SHA512 c1d42272fb0d94b693452e703b0ea4942bf59cbd4b08ba83bf039f54be97ebc88511632413da0164970b4cf97bc302bccb88aab48edfa8fa147498e7ee741595
-DIST ruby-patches-2.2.1.tar.bz2 2267 BLAKE2B 0e969d8a04b8417d46efbb903d8d3636ad5860b86326e5b24928bb9271fa75d31a2db17f3abb7a62bc323bf636e60570eec10298d260e654c1a07c924225a851 SHA512 af533ae77b0149bceb04d544b2a6f6c0bd4bcbef53912b233452a7eeda1ecb9cd53aed1631ba9414e76eb0f960e9248fb82525ce5caf843aaad2ebf654cf74ce
+DIST ruby-2.4.3.tar.xz 10040072 BLAKE2B 87ad9700312a104a60b079f4ef95804d2a9e01109e9fef6e83e593464f1d2c5077af54cbbaff6e0d25a925d05f513cade6c76f05960d9bcc1817bdee51ad4a0f SHA512 8bcf60c994a96787da5d743c66f5609a5a6d834d6d61243cdea7fd059197c3b10da43c99e5649be85e2f2329eedcbb1dd76e89ce3ac586be9056348f7449ed09
DIST ruby-patches-2.2.8.tar.bz2 5764 BLAKE2B f50729480a4231db51de7981acb04dafa09d5fde592cf4a824a6fefe8ae3189ab9e82857e7ca41f1bb32dff1c4057ac37badf971c1b8f2981189e13d42dd38d2 SHA512 296387ec7f2ff82ad55f147d8f9568de544403d286ad24bb60aca916215d7ff6e1d6aca5a31c00a1999504989cda2bbd3260cae96c18ba73f9ffdcfd6b2695bd
-DIST ruby-patches-2.4.1-r2.tar.bz2 4030 BLAKE2B a10955e49145f01d2fd44752e859ca8c8f97ff34da1914d6f4b564db250455e952f243e090650e77b7752579c5159d41ab45de1311b65b20ec24f372d2d8f3f1 SHA512 e3f141710a23e4716696fdd5fd898386b32ce6e9d729738591bde8a74f9af8353e0a3f5f9c48403443c6c1ee074b5c2f3b5e9503d96b57de5c6c484ccb337b40
+DIST ruby-patches-2.2.9.tar.bz2 5764 BLAKE2B f50729480a4231db51de7981acb04dafa09d5fde592cf4a824a6fefe8ae3189ab9e82857e7ca41f1bb32dff1c4057ac37badf971c1b8f2981189e13d42dd38d2 SHA512 296387ec7f2ff82ad55f147d8f9568de544403d286ad24bb60aca916215d7ff6e1d6aca5a31c00a1999504989cda2bbd3260cae96c18ba73f9ffdcfd6b2695bd
DIST ruby-patches-2.4.2.tar.bz2 3443 BLAKE2B d90cfb496ad8701fccb061fd314a7f2394b251c921f270f17c8335f617e71dacc8e4a2df4e76842b67eb34627e5f5291d8a2723f6dfed53a36ace3abad95a179 SHA512 fb8349c67c72caf10ec12c4b5410194b4df24345446c2e3b6c6176d00727bfe803f4a905ef094a2d52315b6f4c3ce74fb8fbaa2fdf5efe46e6ccb24bf8418b17
+DIST ruby-patches-2.4.3.tar.bz2 2898 BLAKE2B e46502dbb0aa25c3d71693a6c04b433bd4de60f194cdd283517c4b08da190356885d9bca4a6765402088185fa8ec681156e8e8eecf0703a2c1ea7bb81adc0bf9 SHA512 d767d43c7df737469247e42e1c4205b8c6850c8f335a2869c884f145c037e9bab10492cc7cd2903f5c33e232cdc5bbdabb3e8da837c7bf420b9d58d1d33149ed
diff --git a/dev-lang/ruby/ruby-2.2.1.ebuild b/dev-lang/ruby/ruby-2.2.9.ebuild
index 1e71208..439c0c1 100644
--- a/dev-lang/ruby/ruby-2.2.1.ebuild
+++ b/dev-lang/ruby/ruby-2.2.9.ebuild
@@ -1,6 +1,5 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ruby-2.2.1.ebuild,v 1.2 2015/03/31 18:33:50 ulm Exp $
EAPI=5
@@ -28,20 +27,27 @@ fi
DESCRIPTION="An object-oriented scripting language"
HOMEPAGE="http://www.ruby-lang.org/"
SRC_URI="mirror://ruby/2.2/${MY_P}.tar.xz
- http://dev.gentoo.org/~flameeyes/ruby-team/${PN}-patches-${PATCHSET}.tar.bz2"
+ https://dev.gentoo.org/~flameeyes/ruby-team/${PN}-patches-${PATCHSET}.tar.bz2"
LICENSE="|| ( Ruby-BSD BSD-2 )"
KEYWORDS="~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="berkdb debug doc examples gdbm ipv6 jemalloc +rdoc rubytests socks5 ssl xemacs ncurses +readline"
+IUSE="berkdb debug doc examples gdbm ipv6 jemalloc libressl +rdoc rubytests socks5 ssl tk xemacs ncurses +readline"
RDEPEND="
- berkdb? ( sys-libs/db )
- gdbm? ( sys-libs/gdbm )
+ berkdb? ( sys-libs/db:= )
+ gdbm? ( sys-libs/gdbm:= )
jemalloc? ( dev-libs/jemalloc )
- ssl? ( dev-libs/openssl )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl )
+ )
socks5? ( >=net-proxy/dante-1.1.13 )
- ncurses? ( sys-libs/ncurses )
- readline? ( sys-libs/readline )
+ tk? (
+ dev-lang/tcl:0=[threads]
+ dev-lang/tk:0=[threads]
+ )
+ ncurses? ( sys-libs/ncurses:0= )
+ readline? ( sys-libs/readline:0= )
dev-libs/libyaml
virtual/libffi
sys-libs/zlib
@@ -66,7 +72,6 @@ PDEPEND="
xemacs? ( app-xemacs/ruby-modes )"
src_prepare() {
-# epatch "${FILESDIR}/${PN}-1.9.1-only-ncurses.patch"
epatch "${FILESDIR}/${PN}-1.9.1-prefix.patch"
EPATCH_FORCE="yes" EPATCH_SUFFIX="patch" \
@@ -77,7 +82,7 @@ src_prepare() {
# rubygems, but remove the bits that would cause a file collision.
einfo "Unbundling gems..."
cd "$S"
- rm -r \
+ rm -rf \
{bin,lib}/rake lib/rake.rb man/rake.1 \
bin/gem || die "removal failed"
# Remove bundled gems that we will install via PDEPEND, bug
@@ -96,12 +101,7 @@ src_prepare() {
}
src_configure() {
- local myconf=
-
- # The Tk module can no longer be built because the module code is no
- # longer compatible with newer stable versions.
- # https://bugs.gentoo.org/show_bug.cgi?id=500894
- local modules="tk"
+ local modules= myconf=
# -fomit-frame-pointer makes ruby segfault, see bug #150413.
filter-flags -fomit-frame-pointer
@@ -143,8 +143,14 @@ src_configure() {
if ! use ncurses ; then
modules="${modules},curses"
fi
+ if ! use tk ; then
+ modules="${modules},tk"
+ fi
- INSTALL="${EPREFIX}/usr/bin/install -c" econf \
+ # Provide an empty LIBPATHENV because we disable rpath but we do not
+ # need LD_LIBRARY_PATH by default since that breaks USE=multitarget
+ # #564272
+ INSTALL="${EPREFIX}/usr/bin/install -c" LIBPATHENV="" econf \
--program-suffix=${MY_SUFFIX} \
--with-soname=ruby${MY_SUFFIX} \
--docdir=${EPREFIX}/usr/share/doc/${P} \
@@ -153,7 +159,7 @@ src_configure() {
--disable-rpath \
--disable-dtrace \
--with-out-ext="${modules}" \
- $(use_enable jemalloc jemalloc) \
+ $(use_with jemalloc jemalloc) \
$(use_enable socks5 socks) \
$(use_enable doc install-doc) \
--enable-ipv6 \
@@ -197,7 +203,7 @@ src_install() {
local MINIRUBY=$(echo -e 'include Makefile\ngetminiruby:\n\t@echo $(MINIRUBY)'|make -f - getminiruby)
- LD_LIBRARY_PATH="${ED}/usr/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ LD_LIBRARY_PATH="${S}:${ED}/usr/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
RUBYLIB="${S}:${ED}/usr/$(get_libdir)/ruby/${RUBYVERSION}"
for d in $(find "${S}/ext" -type d) ; do
RUBYLIB="${RUBYLIB}:$d"
@@ -207,9 +213,9 @@ src_install() {
emake V=1 DESTDIR="${D}" install || die "make install failed"
# Remove installed rubygems copy
- rm -r "${ED}/usr/$(get_libdir)/ruby/${RUBYVERSION}/rubygems" || die "rm rubygems failed"
- rm -r "${ED}/usr/$(get_libdir)/ruby/${RUBYVERSION}"/rdoc* || die "rm rdoc failed"
- rm -r "${ED}/usr/bin/"{ri,rdoc}"${MY_SUFFIX}" || die "rm rdoc bins failed"
+ rm -rf "${ED}/usr/$(get_libdir)/ruby/${RUBYVERSION}/rubygems" || die "rm rubygems failed"
+ rm -rf "${ED}/usr/$(get_libdir)/ruby/${RUBYVERSION}"/rdoc* || die "rm rdoc failed"
+ rm -rf "${ED}/usr/bin/"{ri,rdoc}"${MY_SUFFIX}" || die "rm rdoc bins failed"
if use doc; then
make DESTDIR="${D}" install-doc || die "make install-doc failed"
@@ -237,7 +243,7 @@ pkg_postinst() {
elog
elog "To switch between available Ruby profiles, execute as root:"
- elog "\teselect ruby set ruby(19|20|...)"
+ elog "\teselect ruby set ruby(21|22|...)"
elog
}
diff --git a/dev-lang/ruby/ruby-2.4.1-r2.ebuild b/dev-lang/ruby/ruby-2.4.3.ebuild
index 35e03f3..795546b 100644
--- a/dev-lang/ruby/ruby-2.4.1-r2.ebuild
+++ b/dev-lang/ruby/ruby-2.4.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -35,7 +35,7 @@ IUSE="berkdb debug doc examples gdbm ipv6 jemalloc libressl +rdoc rubytests sock
RDEPEND="
berkdb? ( sys-libs/db:= )
- gdbm? ( sys-libs/gdbm )
+ gdbm? ( sys-libs/gdbm:= )
jemalloc? ( dev-libs/jemalloc )
ssl? (
!libressl? ( dev-libs/openssl:0= )
@@ -243,7 +243,7 @@ pkg_postinst() {
elog
elog "To switch between available Ruby profiles, execute as root:"
- elog "\teselect ruby set ruby(19|20|...)"
+ elog "\teselect ruby set ruby(23|24|...)"
elog
}